Cmake based Elmer distributions

Updates in software, documentation, sites etc.

Re: Cmake based Elmer distributions

Postby Elanid » 15 Apr 2015, 22:13

Hello Colleagues,

New user here. I'm attempting to install Elmer in Ubuntu 14.04. When I followed the instructions to install via the launchpad, I've got segmentation error on my attempt to run the vortex shedding example, also some packages are missing. So I've gone through the cmake road to get the elmer installation. I've got the copy of elmer from github and proceeded to follow the instructions. I've looked through the multitude of forums and directions how to make the correct installation and in the end there were mostly the developer warnings in the configuration message port (I don't think I need to worry about them, please correct me if I'm wrong), after generation and running the "make install" command I've performed the ctest and got only 13% of tests passed, out of 306 tests 265 have failed. I'm at a loss and not sure how to solve this problem, I thought that I'd be able to figure out whats wrong but I'm hitting the wall here, and requesting help from the community. I'm going to post the process of installation in my following post.

Best, Elanid.
Last edited by Elanid on 15 Apr 2015, 23:25, edited 1 time in total.
Elanid
 
Posts: 10
Joined: 13 Apr 2015, 04:40

Re: Cmake based Elmer distributions

Postby raback » 15 Apr 2015, 22:18

Hi Elanid

Here are maybe the most complete instructions
http://www.elmerfem.org/elmerwiki/index ... sing_Cmake

-Peter
raback
Site Admin
 
Posts: 3092
Joined: 22 Aug 2009, 11:57
Location: Espoo, Finland

Re: Cmake based Elmer distributions

Postby Elanid » 15 Apr 2015, 23:36

Hello,

Elan here, As per my previous post the following is the process I went through to install elmer version 7 in ubuntu 14.04 (keep in mind I've recently started with ubuntu, so I'm not entirely competent in the linux area yet):

1. Made directories for elmer in home folder and made the build and install folders inside.

2. Terminal: cd elmer

3. Terminal: git clone https://www.github.com/ElmerCSC/elmerfem

4. Termnial: cd build

5. Terminal: cmake-gui

6. Cmake, version 2.8.12, gui portal, after first configuration using the default native compilers :

Code: Select all
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_Fortran_MODULE_DIRECTORY=/home/elanid/elmer/build/fmodules \
    -DCMAKE_INSTALL_PREFIX=/home/elanid/elmer/install \
    -DELEMER_SOLVER_HOME=/home/elanid/elmer/install/share/elmersolver \
    -DCMAKE_C_COMPILER=/usr/bin/gcc \
    -DCMAKE_Fortran_COMPILER=/usr/bin/gfortran \
    -DWITH_ELMERGUI:BOOL=TRUE \
    -DWITH_ELMERGUILOGGER:BOOL=TRUE \
    -DWITH_ELMERGUITESTER:BOOL=TRUE \
    -DWITH_MPI:BOOL=TRUE \
    -DWITH_Mumps:BOOL=TRUE \
    -DWITH_Hypre:BOOL=TRUE \
    -DWITH_TRILINOS:BOOL=FALSE \        (Attempted using trilinos but due to errors did not proceed)


Configuration Output:

Code: Select all
The Fortran compiler identification is GNU
The C compiler identification is GNU 4.8.2
The CXX compiler identification is GNU 4.8.2
Check for working Fortran compiler: /usr/bin/f95
Check for working Fortran compiler: /usr/bin/f95  -- works
Detecting Fortran compiler ABI info
Detecting Fortran compiler ABI info - done
Checking whether /usr/bin/f95 supports Fortran 90
Checking whether /usr/bin/f95 supports Fortran 90 -- yes
Check for working C compiler: /usr/bin/cc
Check for working C compiler: /usr/bin/cc -- works
Detecting C compiler ABI info
Detecting C compiler ABI info - done
Check for working CXX compiler: /usr/bin/c++
Check for working CXX compiler: /usr/bin/c++ -- works
Detecting CXX compiler ABI info
Detecting CXX compiler ABI info - done
CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:9

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:66

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

Checking whether GFortran version >= 4.8 -- yes
Found MPI_C: /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so 
Found MPI_CXX: /usr/lib/libmpi_cxx.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so 
Found MPI_Fortran: /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so 
Looking for Fortran sgemm
Looking for Fortran sgemm - found
Looking for include file pthread.h
Looking for include file pthread.h - found
Looking for pthread_create
Looking for pthread_create - not found
Looking for pthread_create in pthreads
Looking for pthread_create in pthreads - not found
Looking for pthread_create in pthread
Looking for pthread_create in pthread - found
Found Threads: TRUE 
A library with BLAS API found.
A library with BLAS API found.
Looking for Fortran cheev
Looking for Fortran cheev - found
A library with LAPACK API found.
Checking whether /usr/bin/f95 supports PROCEDURE POINTER
Checking whether /usr/bin/f95 supports PROCEDURE POINTER -- yes
Checking whether /usr/bin/f95 supports CONTIGUOUS
Checking whether /usr/bin/f95 supports CONTIGUOUS -- yes
Checking whether /usr/bin/f95 supports EXECUTE_COMMAND_LINE
Checking whether /usr/bin/f95 supports EXECUTE_COMMAND_LINE -- yes
Looking for include file inttypes.h
Looking for include file inttypes.h - found
Looking for sys/types.h
Looking for sys/types.h - found
Looking for stdint.h
Looking for stdint.h - found
Looking for stddef.h
Looking for stddef.h - found
Check size of long
Check size of long - done
------------------------------------------------
  BLAS library:   /usr/lib/libblas.so
  LAPACK library: /usr/lib/liblapack.so;/usr/lib/libblas.so
------------------------------------------------
  Fortran compiler:        /usr/bin/f95
  Fortran flags:           
------------------------------------------------
  C compiler:              /usr/bin/cc
  C flags:                 
------------------------------------------------
  CXX compiler:            /usr/bin/c++
  CXX flags:               
------------------------------------------------
  MPI Fortran:             TRUE
  MPI Fortran compiler:    /usr/bin/mpif90
  MPI Fortran flags:       
  MPI Fortran include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/lib
  MPI Fortran libraries:   /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI Fortran link flags: 
------------------------------------------------
  MPI C:             TRUE
  MPI C compiler:    /usr/bin/mpicc
  MPI C flags:       
  MPI C include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi
  MPI C libraries:   /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI C flags:       
------------------------------------------------
------------------------------------------------
  Package filename: elmerfem-7.0-24ae551-20150415_Linux-i686
  Patch version: 7.0-24ae551
Configuring done


7. Next Configuration:

Code: Select all
CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:9

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:66

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

Checking whether GFortran version >= 4.8 -- yes
A library with BLAS API found.
A library with BLAS API found.
A library with LAPACK API found.
Finding Mumps
Finding SCALAPACK
Checking if BLACS library is needed by SCALAPACK
Looking for Fortran blacs_gridinit
Looking for Fortran blacs_gridinit - not found
Checking if BLACS library is needed by SCALAPACK -- yes
Finding BLACS
A library with BLACS API found.
BLACS libraries: /usr/lib/libblacs-pvm.so
Checking if Metis library is needed by Mumps
Checking if Metis library is needed by Mumps -- yes
Finding Metis
Checking if ParMetis library is needed by Mumps
Checking if ParMetis library is needed by Mumps -- yes
Finding ParMetis
A library with Mumps API found.
Mumps include dir: /usr/include
Mumps libraries: /usr/lib/libdmumps.so;/usr/lib/libmumps_common.so;/usr/lib/libpord.so;/usr/lib/libscalapack-openmpi.so;/usr/lib/libblacs-pvm.so;/usr/lib/libmetis.so;/usr/lib/libparmetis.so
Checking whether /usr/bin/f95 supports PROCEDURE POINTER
Checking whether /usr/bin/f95 supports PROCEDURE POINTER -- yes
Checking whether /usr/bin/f95 supports CONTIGUOUS
Checking whether /usr/bin/f95 supports CONTIGUOUS -- yes
Checking whether /usr/bin/f95 supports EXECUTE_COMMAND_LINE
Checking whether /usr/bin/f95 supports EXECUTE_COMMAND_LINE -- yes
  Building ElmerGUI
------------------------------------------------
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUI/CMakeLists.txt:16 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Looking for Q_WS_X11
Looking for Q_WS_X11 - found
Looking for Q_WS_WIN
Looking for Q_WS_WIN - not found
Looking for Q_WS_QWS
Looking for Q_WS_QWS - not found
Looking for Q_WS_MAC
Looking for Q_WS_MAC - not found
Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
  [ElmerGUI] Qt4:               TRUE
  [ElmerGUI] Qt4_LIBRARIES:     
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUItester/CMakeLists.txt:3 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUIlogger/CMakeLists.txt:4 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
  [ElmerGUIlogger] Qt4:               TRUE
  [ElmerGUIlogger] Qt4_LIBRARIES:     
------------------------------------------------
CMake Warning at ElmerGUIlogger/CMakeLists.txt:28 (MESSAGE):
  QT_USE_FILE: /usr/share/cmake-2.8/Modules/UseQt4.cmake


------------------------------------------------
  BLAS library:   /usr/lib/libblas.so
  LAPACK library: /usr/lib/liblapack.so;/usr/lib/libblas.so
------------------------------------------------
  Fortran compiler:        /usr/bin/f95
  Fortran flags:           
------------------------------------------------
  C compiler:              /usr/bin/cc
  C flags:                 
------------------------------------------------
  CXX compiler:            /usr/bin/c++
  CXX flags:               
------------------------------------------------
  MPI Fortran:             TRUE
  MPI Fortran compiler:    /usr/bin/mpif90
  MPI Fortran flags:       
  MPI Fortran include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/lib
  MPI Fortran libraries:   /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI Fortran link flags: 
------------------------------------------------
  MPI C:             TRUE
  MPI C compiler:    /usr/bin/mpicc
  MPI C flags:       
  MPI C include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi
  MPI C libraries:   /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI C flags:       
------------------------------------------------
  Mumps:             TRUE
  Mumps include:     /usr/include
  Mumps libraries:   /usr/lib/libdmumps.so;/usr/lib/libmumps_common.so;/usr/lib/libpord.so;/usr/lib/libscalapack-openmpi.so;/usr/lib/libblacs-pvm.so;/usr/lib/libmetis.so;/usr/lib/libparmetis.so
------------------------------------------------
  Hypre:             TRUE
  Hypre include:     /usr/include
  Hypre libraries:   /usr/lib/libHYPRE.so;/usr/lib/libHYPRE_Euclid.so;/usr/lib/libHYPRE_parcsr_ls.so;/usr/lib/libHYPRE_ParaSails.so;/usr/lib/libHYPRE_IJ_mv.so
------------------------------------------------
  Building ElmerGUI tester
------------------------------------------------
  Building ElmerGUI logger
------------------------------------------------
------------------------------------------------
  Package filename: elmerfem-7.0-24ae551-20150415_Linux-i686
  Patch version: 7.0-24ae551
Configuring done
You have changed variables that require your cache to be deleted.
Configure will be re-run and you may have to reset some variables.
The following variables have changed:
CMAKE_Fortran_COMPILER= /usr/bin/gfortran
CMAKE_C_COMPILER= /usr/bin/gcc

The Fortran compiler identification is GNU
The C compiler identification is GNU 4.8.2
The CXX compiler identification is GNU 4.8.2
Check for working Fortran compiler: /usr/bin/gfortran
Check for working Fortran compiler: /usr/bin/gfortran  -- works
Detecting Fortran compiler ABI info
Detecting Fortran compiler ABI info - done
Checking whether /usr/bin/gfortran supports Fortran 90
Checking whether /usr/bin/gfortran supports Fortran 90 -- yes
Check for working C compiler: /usr/bin/gcc
Check for working C compiler: /usr/bin/gcc -- works
Detecting C compiler ABI info
Detecting C compiler ABI info - done
Check for working CXX compiler: /usr/bin/c++
Check for working CXX compiler: /usr/bin/c++ -- works
Detecting CXX compiler ABI info
Detecting CXX compiler ABI info - done
CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:9

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:66

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

Checking whether GFortran version >= 4.8 -- yes
Found MPI_C: /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so 
Found MPI_CXX: /usr/lib/libmpi_cxx.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so 
Found MPI_Fortran: /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so 
Looking for Fortran sgemm
Looking for Fortran sgemm - found
Looking for include file pthread.h
Looking for include file pthread.h - found
Looking for pthread_create
Looking for pthread_create - not found
Looking for pthread_create in pthreads
Looking for pthread_create in pthreads - not found
Looking for pthread_create in pthread
Looking for pthread_create in pthread - found
Found Threads: TRUE 
A library with BLAS API found.
A library with BLAS API found.
Looking for Fortran cheev
Looking for Fortran cheev - found
A library with LAPACK API found.
Checking whether /usr/bin/gfortran supports PROCEDURE POINTER
Checking whether /usr/bin/gfortran supports PROCEDURE POINTER -- yes
Checking whether /usr/bin/gfortran supports CONTIGUOUS
Checking whether /usr/bin/gfortran supports CONTIGUOUS -- yes
Checking whether /usr/bin/gfortran supports EXECUTE_COMMAND_LINE
Checking whether /usr/bin/gfortran supports EXECUTE_COMMAND_LINE -- yes
Looking for include file inttypes.h
Looking for include file inttypes.h - found
Looking for sys/types.h
Looking for sys/types.h - found
Looking for stdint.h
Looking for stdint.h - found
Looking for stddef.h
Looking for stddef.h - found
Check size of long
Check size of long - done
------------------------------------------------
  BLAS library:   /usr/lib/libblas.so
  LAPACK library: /usr/lib/liblapack.so;/usr/lib/libblas.so
------------------------------------------------
  Fortran compiler:        /usr/bin/gfortran
  Fortran flags:           
------------------------------------------------
  C compiler:              /usr/bin/gcc
  C flags:                 
------------------------------------------------
  CXX compiler:            /usr/bin/c++
  CXX flags:               
------------------------------------------------
  MPI Fortran:             TRUE
  MPI Fortran compiler:    /usr/bin/mpif90
  MPI Fortran flags:       
  MPI Fortran include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/lib
  MPI Fortran libraries:   /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI Fortran link flags: 
------------------------------------------------
  MPI C:             TRUE
  MPI C compiler:    /usr/bin/mpicc
  MPI C flags:       
  MPI C include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi
  MPI C libraries:   /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI C flags:       
------------------------------------------------
------------------------------------------------
  Package filename: elmerfem-7.0-24ae551-20150415_Linux-i686
  Patch version: 7.0-24ae551
Configuring done


8. Configuration 3:

Code: Select all
    -DWITH_OCC:BOOL=TRUE \
    -DWITH_PARAVIEW:BOOL=TRUE \
    -DWITH_QWT:BOOL=TRUE \
    -DWITH_VTK:BOOL=TRUE \
    -DWITH_PYTHONQT:BOOL=FALSE \
    -DWITH_MATC:BOOL=TRUE   


Code: Select all
CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:9

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:66

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

Checking whether GFortran version >= 4.8 -- yes
A library with BLAS API found.
A library with BLAS API found.
A library with LAPACK API found.
Finding Mumps
Checking if Metis library is needed by Mumps
Checking if Metis library is needed by Mumps -- yes
Checking if ParMetis library is needed by Mumps
Checking if ParMetis library is needed by Mumps -- yes
A library with Mumps API found.
Mumps include dir: /usr/include
Mumps libraries: /usr/lib/libdmumps.so;/usr/lib/libmumps_common.so;/usr/lib/libpord.so;/usr/lib/libscalapack-openmpi.so;/usr/lib/libmetis.so;/usr/lib/libparmetis.so
Checking whether /usr/bin/gfortran supports PROCEDURE POINTER
Checking whether /usr/bin/gfortran supports PROCEDURE POINTER -- yes
Checking whether /usr/bin/gfortran supports CONTIGUOUS
Checking whether /usr/bin/gfortran supports CONTIGUOUS -- yes
Checking whether /usr/bin/gfortran supports EXECUTE_COMMAND_LINE
Checking whether /usr/bin/gfortran supports EXECUTE_COMMAND_LINE -- yes
  Building ElmerGUI
------------------------------------------------
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUI/CMakeLists.txt:16 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

  [ElmerGUI] Qt4:               TRUE
  [ElmerGUI] Qt4_LIBRARIES:     
------------------------------------------------
Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/i386-linux-gnu/libXext.so
Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/i386-linux-gnu/libXext.so - found
Looking for gethostbyname
Looking for gethostbyname - found
Looking for connect
Looking for connect - found
Looking for remove
Looking for remove - found
Looking for shmat
Looking for shmat - found
Looking for IceConnectionNumber in ICE
Looking for IceConnectionNumber in ICE - found
Found X11: /usr/lib/i386-linux-gnu/libX11.so
Found OpenGL: /usr/lib/i386-linux-gnu/libGL.so 
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  /usr/share/cmake-2.8/Modules/FindQt.cmake:155 (include)
  ElmerGUI/cmake/Modules/FindQwt.cmake:11 (INCLUDE)
  ElmerGUI/CMakeLists.txt:31 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
  [ElmerGUI] Qwt:             TRUE
  [ElmerGUI] QWT_LIBRARY:     /usr/lib/libqwt.so
  [ElmerGUI] QWT_INCLUDE_DIR: /usr/include/qwt
------------------------------------------------
  [ElmerGUI] OCE:               1
  [ElmerGUI] OCE_VERSION:       0.15
  [ElmerGUI] OCE_INCLUDE_DIRS:  /usr/lib/i386-linux-gnu/oce-0.15/../../../include/oce
  [ElmerGUI] ELMER_OCC_LIBS:    TKernel;TKMath;TKG3d;TKG2d;TKBRep;TKSTEP;TKMesh;TKIGES;TKG2d;TKGeomBase;TKBool;TKBO;TKGeomAlgo;TKPrim;TKShHealing;TKSTEP209;TKSTEPAttr;TKSTEPBase;TKTopAlgo;TKXSBase
------------------------------------------------
  [ElmerGUI] VTK version:       6.0.0
  [ElmerGUI] VTK_LIBS:          vtkCommonColor;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkIOXML;vtkIOGeometry;vtkIOCore;vtkCommonExecutionModel;/usr/lib/i386-linux-gnu/libz.so;vtkIOXMLParser;/usr/lib/i386-linux-gnu/libexpat.so;vtkInteractionImage;vtkImagingColor;vtkImagingCore;vtkInteractionStyle;vtkRenderingCore;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkalglib;vtkFiltersGeometry;vtkFiltersSources;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/lib/i386-linux-gnu/libjpeg.so;/usr/lib/i386-linux-gnu/libpng.so;/usr/lib/i386-linux-gnu/libtiff.so;vtkInteractionWidgets;vtkFiltersHybrid;vtkImagingSources;vtkFiltersModeling;vtkImagingGeneral;vtkImagingHybrid;vtkRenderingAnnotation;vtkRenderingFreeType;/usr/lib/i386-linux-gnu/libfreetype.so;vtkftgl;vtkRenderingVolume;vtkFiltersAMR;vtkParallelCore;vtkIOLegacy;vtkIOAMR;/usr/lib/i386-linux-gnu/libhdf5.so;/usr/lib/i386-linux-gnu/libpthread.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libm.so;/usr/lib/i386-linux-gnu/libhdf5_hl.so;vtkIOEnSight;vtkproj4;vtkFiltersParallel;vtkIOXdmf2;vtkxdmf2;/usr/lib/i386-linux-gnu/libxml2.so;vtkWrappingPythonCore;/usr/lib/i386-linux-gnu/libpython2.7.so;vtkWrappingTools;vtkIOInfovis;vtkInfovisCore;vtkFiltersParallelImaging;vtkFiltersImaging;vtkIOExodus;vtkexoIIc;vtkNetCDF;vtkNetCDF_cxx;/usr/lib/i386-linux-gnu/libogg.so;/usr/lib/i386-linux-gnu/libtheoraenc.so;/usr/lib/i386-linux-gnu/libtheoradec.so;vtkFiltersFlowPaths;vtkRenderingLOD;vtkRenderingHybridOpenGL;vtkRenderingOpenGL;vtkIOParallelLSDyna;vtkIOLSDyna;vtkFiltersParallelGeometry;vtkParallelMPI;vtkRenderingFreeTypeOpenGL;vtkGUISupportQtOpenGL;vtkGUISupportQt;vtkFiltersParallelMPI;vtkTestingRendering;vtkIOMPIImage;vtkPythonInterpreter;vtksqlite;vtkInfovisBoostGraphAlgorithms;/usr/lib/libgl2ps.so;vtkIOPLY;VPIC;vtkRenderingVolumeOpenGL;vtkTestingGenericBridge;vtkChartsCore;vtkRenderingContext2D;vtkWrappingJava;vtkFiltersHyperTree;vtkIONetCDF;vtkIOSQL;vtkFiltersReebGraph;vtkIOODBC;vtkViewsQt;vtkViewsInfovis;vtkInfovisLayout;vtkRenderingLabel;vtkViewsCore;vtkGeovisCore;vtkFiltersSelection;vtkIOParallelExodus;vtkRenderingImage;vtkIOGDAL;vtkImagingStencil;vtkRenderingFreeTypeFontConfig;vtkGUISupportQtWebkit;vtkFiltersTexture;vtkIOMySQL;vtkjsoncpp;vtkRenderingGL2PS;vtkLocalExample;vtkViewsContext2D;vtkIOMovie;vtkFiltersParallelStatistics;vtkIOPostgreSQL;vtkFiltersParallelFlowPaths;vtkImagingMath;vtkDomainsChemistry;vtkGUISupportQtSQL;vtkViewsGeovis;vtkIOFFMPEG;vtkIOMPIParallel;vtkIOImport;vtkFiltersCosmo;Cosmo;vtkIOParallel;vtkIOVPIC;vtkFiltersProgrammable;vtkRenderingMatplotlib;vtkRenderingVolumeAMR;vtkTestingIOSQL;vtkIOParallelNetCDF;vtkIOVideo;vtkImagingStatistics;vtkImagingMorphological;vtkFiltersGeneric;verdict;vtkFiltersVerdict;vtkRenderingParallel;vtkIOMINC;vtkIOExport;vtkRenderingQt
  [ElmerGUI] VTK_INCLUDE_DIRS:  /usr/include/vtk-6.0;/usr/include;/usr/include/i386-linux-gnu;/usr/include/freetype2;/usr/include/libxml2;/usr/include/python2.7;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/tcl8.6
------------------------------------------------
  [ElmerGUI] Compiling in matc
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUItester/CMakeLists.txt:3 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUIlogger/CMakeLists.txt:4 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
  [ElmerGUIlogger] Qt4:               TRUE
  [ElmerGUIlogger] Qt4_LIBRARIES:     
------------------------------------------------
CMake Warning at ElmerGUIlogger/CMakeLists.txt:28 (MESSAGE):
  QT_USE_FILE: /usr/share/cmake-2.8/Modules/UseQt4.cmake


------------------------------------------------
  BLAS library:   /usr/lib/libblas.so
  LAPACK library: /usr/lib/liblapack.so;/usr/lib/libblas.so
------------------------------------------------
  Fortran compiler:        /usr/bin/gfortran
  Fortran flags:           
------------------------------------------------
  C compiler:              /usr/bin/gcc
  C flags:                 
------------------------------------------------
  CXX compiler:            /usr/bin/c++
  CXX flags:               
------------------------------------------------
  MPI Fortran:             TRUE
  MPI Fortran compiler:    /usr/bin/mpif90
  MPI Fortran flags:       
  MPI Fortran include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/lib
  MPI Fortran libraries:   /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI Fortran link flags: 
------------------------------------------------
  MPI C:             TRUE
  MPI C compiler:    /usr/bin/mpicc
  MPI C flags:       
  MPI C include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi
  MPI C libraries:   /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI C flags:       
------------------------------------------------
  Mumps:             TRUE
  Mumps include:     /usr/include
  Mumps libraries:   /usr/lib/libdmumps.so;/usr/lib/libmumps_common.so;/usr/lib/libpord.so;/usr/lib/libscalapack-openmpi.so;/usr/lib/libmetis.so;/usr/lib/libparmetis.so
------------------------------------------------
  Hypre:             TRUE
  Hypre include:     /usr/include
  Hypre libraries:   /usr/lib/libHYPRE.so;/usr/lib/libHYPRE_Euclid.so;/usr/lib/libHYPRE_parcsr_ls.so;/usr/lib/libHYPRE_ParaSails.so;/usr/lib/libHYPRE_IJ_mv.so
------------------------------------------------
  Building ElmerGUI tester
------------------------------------------------
  Building ElmerGUI logger
------------------------------------------------
------------------------------------------------
  Package filename: elmerfem-7.0-24ae551-20150415_Linux-i686
  Patch version: 7.0-24ae551
Configuring done


9. Qt version is above 4, the directories for OCE and VTK were assigned, and qwt was found.

10. Last configuration:

Code: Select all
CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:9

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:73 (INCLUDE):
  Syntax Warning in cmake code at

    /home/elanid/elmer/elmerfem/cmake/Modules/testGFortranVersion.cmake:49:66

  Argument not separated from preceding token by whitespace.
This warning is for project developers.  Use -Wno-dev to suppress it.

Checking whether GFortran version >= 4.8 -- yes
A library with BLAS API found.
A library with BLAS API found.
A library with LAPACK API found.
Finding Mumps
Checking if Metis library is needed by Mumps
Checking if Metis library is needed by Mumps -- yes
Checking if ParMetis library is needed by Mumps
Checking if ParMetis library is needed by Mumps -- yes
A library with Mumps API found.
Mumps include dir: /usr/include
Mumps libraries: /usr/lib/libdmumps.so;/usr/lib/libmumps_common.so;/usr/lib/libpord.so;/usr/lib/libscalapack-openmpi.so;/usr/lib/libmetis.so;/usr/lib/libparmetis.so
Checking whether /usr/bin/gfortran supports PROCEDURE POINTER
Checking whether /usr/bin/gfortran supports PROCEDURE POINTER -- yes
Checking whether /usr/bin/gfortran supports CONTIGUOUS
Checking whether /usr/bin/gfortran supports CONTIGUOUS -- yes
Checking whether /usr/bin/gfortran supports EXECUTE_COMMAND_LINE
Checking whether /usr/bin/gfortran supports EXECUTE_COMMAND_LINE -- yes
  Building ElmerGUI
------------------------------------------------
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUI/CMakeLists.txt:16 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

  [ElmerGUI] Qt4:               TRUE
  [ElmerGUI] Qt4_LIBRARIES:     
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  /usr/share/cmake-2.8/Modules/FindQt.cmake:155 (include)
  ElmerGUI/cmake/Modules/FindQwt.cmake:11 (INCLUDE)
  ElmerGUI/CMakeLists.txt:31 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
  [ElmerGUI] Qwt:             ON
  [ElmerGUI] QWT_LIBRARY:     /usr/lib/libqwt.so
  [ElmerGUI] QWT_INCLUDE_DIR: /usr/include/qwt
------------------------------------------------
  [ElmerGUI] OCE:               1
  [ElmerGUI] OCE_VERSION:       0.15
  [ElmerGUI] OCE_INCLUDE_DIRS:  /usr/lib/i386-linux-gnu/oce-0.15/../../../include/oce
  [ElmerGUI] ELMER_OCC_LIBS:    TKernel;TKMath;TKG3d;TKG2d;TKBRep;TKSTEP;TKMesh;TKIGES;TKG2d;TKGeomBase;TKBool;TKBO;TKGeomAlgo;TKPrim;TKShHealing;TKSTEP209;TKSTEPAttr;TKSTEPBase;TKTopAlgo;TKXSBase
------------------------------------------------
  [ElmerGUI] VTK version:       6.0.0
  [ElmerGUI] VTK_LIBS:          vtkCommonColor;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkIOXML;vtkIOGeometry;vtkIOCore;vtkCommonExecutionModel;/usr/lib/i386-linux-gnu/libz.so;vtkIOXMLParser;/usr/lib/i386-linux-gnu/libexpat.so;vtkInteractionImage;vtkImagingColor;vtkImagingCore;vtkInteractionStyle;vtkRenderingCore;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkalglib;vtkFiltersGeometry;vtkFiltersSources;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/lib/i386-linux-gnu/libjpeg.so;/usr/lib/i386-linux-gnu/libpng.so;/usr/lib/i386-linux-gnu/libtiff.so;vtkInteractionWidgets;vtkFiltersHybrid;vtkImagingSources;vtkFiltersModeling;vtkImagingGeneral;vtkImagingHybrid;vtkRenderingAnnotation;vtkRenderingFreeType;/usr/lib/i386-linux-gnu/libfreetype.so;vtkftgl;vtkRenderingVolume;vtkFiltersAMR;vtkParallelCore;vtkIOLegacy;vtkIOAMR;/usr/lib/i386-linux-gnu/libhdf5.so;/usr/lib/i386-linux-gnu/libpthread.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libm.so;/usr/lib/i386-linux-gnu/libhdf5_hl.so;vtkIOEnSight;vtkproj4;vtkFiltersParallel;vtkIOXdmf2;vtkxdmf2;/usr/lib/i386-linux-gnu/libxml2.so;vtkWrappingPythonCore;/usr/lib/i386-linux-gnu/libpython2.7.so;vtkWrappingTools;vtkIOInfovis;vtkInfovisCore;vtkFiltersParallelImaging;vtkFiltersImaging;vtkIOExodus;vtkexoIIc;vtkNetCDF;vtkNetCDF_cxx;/usr/lib/i386-linux-gnu/libogg.so;/usr/lib/i386-linux-gnu/libtheoraenc.so;/usr/lib/i386-linux-gnu/libtheoradec.so;vtkFiltersFlowPaths;vtkRenderingLOD;vtkRenderingHybridOpenGL;vtkRenderingOpenGL;vtkIOParallelLSDyna;vtkIOLSDyna;vtkFiltersParallelGeometry;vtkParallelMPI;vtkRenderingFreeTypeOpenGL;vtkGUISupportQtOpenGL;vtkGUISupportQt;vtkFiltersParallelMPI;vtkTestingRendering;vtkIOMPIImage;vtkPythonInterpreter;vtksqlite;vtkInfovisBoostGraphAlgorithms;/usr/lib/libgl2ps.so;vtkIOPLY;VPIC;vtkRenderingVolumeOpenGL;vtkTestingGenericBridge;vtkChartsCore;vtkRenderingContext2D;vtkWrappingJava;vtkFiltersHyperTree;vtkIONetCDF;vtkIOSQL;vtkFiltersReebGraph;vtkIOODBC;vtkViewsQt;vtkViewsInfovis;vtkInfovisLayout;vtkRenderingLabel;vtkViewsCore;vtkGeovisCore;vtkFiltersSelection;vtkIOParallelExodus;vtkRenderingImage;vtkIOGDAL;vtkImagingStencil;vtkRenderingFreeTypeFontConfig;vtkGUISupportQtWebkit;vtkFiltersTexture;vtkIOMySQL;vtkjsoncpp;vtkRenderingGL2PS;vtkLocalExample;vtkViewsContext2D;vtkIOMovie;vtkFiltersParallelStatistics;vtkIOPostgreSQL;vtkFiltersParallelFlowPaths;vtkImagingMath;vtkDomainsChemistry;vtkGUISupportQtSQL;vtkViewsGeovis;vtkIOFFMPEG;vtkIOMPIParallel;vtkIOImport;vtkFiltersCosmo;Cosmo;vtkIOParallel;vtkIOVPIC;vtkFiltersProgrammable;vtkRenderingMatplotlib;vtkRenderingVolumeAMR;vtkTestingIOSQL;vtkIOParallelNetCDF;vtkIOVideo;vtkImagingStatistics;vtkImagingMorphological;vtkFiltersGeneric;verdict;vtkFiltersVerdict;vtkRenderingParallel;vtkIOMINC;vtkIOExport;vtkRenderingQt
  [ElmerGUI] VTK_INCLUDE_DIRS:  /usr/include/vtk-6.0;/usr/include;/usr/include/i386-linux-gnu;/usr/include/freetype2;/usr/include/libxml2;/usr/include/python2.7;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/tcl8.6
------------------------------------------------
  [ElmerGUI] Compiling in matc
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUItester/CMakeLists.txt:3 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
------------------------------------------------
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake:38 (include):
  File /usr/share/cmake-2.8/Modules/CheckCXXSymbolExists.cmake includes
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake (found via
  CMAKE_MODULE_PATH) which shadows
  /usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake.  This may cause
  errors later on .

  Policy CMP0017 is not set: Prefer files from the CMake module directory
  when including from there.  Run "cmake --help-policy CMP0017" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindQt4.cmake:392 (include)
  ElmerGUIlogger/CMakeLists.txt:4 (FIND_PACKAGE)
This warning is for project developers.  Use -Wno-dev to suppress it.

Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.6")
  [ElmerGUIlogger] Qt4:               TRUE
  [ElmerGUIlogger] Qt4_LIBRARIES:     
------------------------------------------------
CMake Warning at ElmerGUIlogger/CMakeLists.txt:28 (MESSAGE):
  QT_USE_FILE: /usr/share/cmake-2.8/Modules/UseQt4.cmake


------------------------------------------------
  BLAS library:   /usr/lib/libblas.so
  LAPACK library: /usr/lib/liblapack.so;/usr/lib/libblas.so
------------------------------------------------
  Fortran compiler:        /usr/bin/gfortran
  Fortran flags:           
------------------------------------------------
  C compiler:              /usr/bin/gcc
  C flags:                 
------------------------------------------------
  CXX compiler:            /usr/bin/c++
  CXX flags:               
------------------------------------------------
  MPI Fortran:             TRUE
  MPI Fortran compiler:    /usr/bin/mpif90
  MPI Fortran flags:       
  MPI Fortran include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/lib
  MPI Fortran libraries:   /usr/lib/libmpi_f90.so;/usr/lib/libmpi_f77.so;/usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI Fortran link flags: 
------------------------------------------------
  MPI C:             TRUE
  MPI C compiler:    /usr/bin/mpicc
  MPI C flags:       
  MPI C include dir: /usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi
  MPI C libraries:   /usr/lib/libmpi.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libhwloc.so
  MPI C flags:       
------------------------------------------------
  Mumps:             TRUE
  Mumps include:     /usr/include
  Mumps libraries:   /usr/lib/libdmumps.so;/usr/lib/libmumps_common.so;/usr/lib/libpord.so;/usr/lib/libscalapack-openmpi.so;/usr/lib/libmetis.so;/usr/lib/libparmetis.so
------------------------------------------------
  Hypre:             TRUE
  Hypre include:     /usr/include
  Hypre libraries:   /usr/lib/libHYPRE.so;/usr/lib/libHYPRE_Euclid.so;/usr/lib/libHYPRE_parcsr_ls.so;/usr/lib/libHYPRE_ParaSails.so;/usr/lib/libHYPRE_IJ_mv.so
------------------------------------------------
  Building ElmerGUI tester
------------------------------------------------
  Building ElmerGUI logger
------------------------------------------------
------------------------------------------------
  Package filename: elmerfem-7.0-24ae551-20150415_Linux-i686
  Patch version: 7.0-24ae551
Configuring done


11. Pressed generate (Generating Done), exited the gui.

12. Continuing on in the same terminal: make

13. Terminal: sudo make install

14. Terminal: ctest

Code: Select all
13% tests passed, 265 tests failed out of 306

Total Test time (real) = 127.56 sec

The following tests FAILED:
     1 - periodic_homogenize (Failed)
     2 - mgdyn_steady (Failed)
     3 - bodydir (Failed)
     4 - AdvReactDG (Failed)
     5 - LubricationTunedForce (Failed)
     6 - 1dtests (Failed)
     7 - ExtrudedMesh5 (Failed)
    10 - ElastElstatBeam (Failed)
    11 - shell2 (Failed)
    12 - Q1Q0 (Failed)
    14 - heateq_bdf3 (Failed)
    16 - ContactFrictionHeating (Failed)
    17 - CoupledPoisson2c (Failed)
    18 - PoissonBEM (Failed)
    19 - bodydir2 (Failed)
    21 - pointload (Failed)
    22 - mgdyn_airgap (Failed)
    23 - DisContBoundary (Failed)
    24 - LimitDisplacement3 (Failed)
    25 - elstat (Failed)
    26 - adv_diff1 (Failed)
    27 - BlockLinElast3 (Failed)
    28 - adv_diff2 (Failed)
    29 - heateq_newmark_global (Failed)
    30 - pointload2 (Failed)
    31 - Step_stokes_block (Failed)
    33 - StokesPFEM (Failed)
    34 - PhaseChange3 (Failed)
    35 - ExtrudedMeshDG (Failed)
    36 - NaturalConvectionRestart (Failed)
    37 - adv_diff3 (Failed)
    38 - freesurf_ltd (Failed)
    39 - heateq_newmark (Failed)
    40 - DataToField (Failed)
    41 - mgdyn2D_em (Failed)
    42 - reload (Failed)
    43 - FixPotentialLevels (Failed)
    44 - CoupledPoisson2b (Failed)
    45 - RotatingFlow (Failed)
    46 - CoupledPoisson4 (Failed)
    47 - reynolds2 (Failed)
    48 - freesurf_sloshing_2d (Failed)
    50 - FlowResNoslip (Failed)
    51 - RichardsDyke (Failed)
    52 - ConstantBCTemperature (Failed)
    53 - HarmonicNS (Failed)
    55 - LimitDisplacement2 (Failed)
    56 - mgdyn_lamstack_widefreq_harmonic (Failed)
    57 - savescalars_flux (Failed)
    58 - PoissonBoltzmann (Failed)
    59 - InductionHeating3 (Failed)
    60 - CapacitanceMatrix (Failed)
    61 - EdgeElementInterpolation (Failed)
    63 - LimitDisplacement (Failed)
    64 - fluxsolver (Failed)
    65 - NormalizeMaterial (Failed)
    66 - CompressIdealGas (Failed)
    67 - HelmholtzPlaneWavesAxis (Failed)
    68 - MortarPoisson2D (Failed)
    69 - periodic3 (Failed)
    70 - fluxsolver2 (Failed)
    71 - mgdyn_steady_periodic (Failed)
    73 - heateq_steady_start (Failed)
    74 - L2norm (Failed)
    75 - fsi_beam (Failed)
    76 - fsi_box (Failed)
    77 - DisContBoundaryMortarJumpC (Failed)
    78 - levelset2 (Failed)
    79 - DirichletNeumannSlave (Failed)
    80 - multimesh (Failed)
    82 - ContactFriction (Failed)
    83 - shell (Failed)
    84 - RigidMeshMapper1 (Failed)
    85 - CoupledPoisson5 (Failed)
    86 - NaturalConvection2 (Failed)
    87 - diffuser_sst (Failed)
    89 - adaptivity5 (Failed)
    90 - channel_v2f (Failed)
    91 - HeatControl2 (Failed)
    93 - current (Failed)
    95 - DisContBoundaryMortarJump (Failed)
    96 - PoissonDG (Failed)
    98 - StrainCalculation01 (Failed)
   100 - ThermalActuator (Failed)
   101 - BlockLinElast2b (Failed)
   102 - geomstiff (Failed)
   103 - ParticleAdvectorZalesak (Failed)
   104 - AdvReactDG_P (Failed)
   105 - DisContBoundaryNodalJumpB (Failed)
   106 - mgdyn_torus_harmonic (Failed)
   107 - BDM3D (Failed)
   108 - CoordinateScaling (Failed)
   110 - HelmholtzFEM (Failed)
   111 - freesurf (Failed)
   112 - StressEigen (Failed)
   113 - AdvDiffHandles2 (Failed)
   114 - mgdyn_transient_loss (Failed)
   115 - periodic_explicit (Failed)
   116 - current_heat_control (Failed)
   117 - ThermalBiMetal (Failed)
   118 - ShallowWaterNS (Failed)
   119 - heateq_bdf2 (Failed)
   120 - ElastElstat1DBeam (Failed)
   121 - CoupledPoisson8 (Failed)
   122 - ExtrudedMesh2 (Failed)
   123 - adv_diff4 (Failed)
   126 - CoupledPoisson1 (Failed)
   127 - reynolds1 (Failed)
   128 - mgdyn_3phase (Failed)
   129 - mhd (Failed)
   130 - ElastPelem (Failed)
   131 - DisContBoundaryNodalJump (Failed)
   132 - HelmholtzStructure (Failed)
   134 - RotatingBCPoisson3DGeneric (Failed)
   135 - BoundaryFluxes (Failed)
   136 - ElmerGridExtrudeMaterial (Failed)
   137 - streamlines (Failed)
   138 - levelset3b (Failed)
   140 - heateq (Failed)
   141 - levelset3 (Failed)
   144 - RotatingBCPoisson2D (Failed)
   145 - mgdyn_bh (Failed)
   146 - fsi_beam_optimize (Failed)
   147 - BlockPoisson1 (Failed)
   148 - RaviartThomas2D (Failed)
   149 - NormalizeBF (Failed)
   150 - ElmerGridExtrudeOffset (Failed)
   151 - NormalizeBC (Failed)
   152 - HelmholtzEdge (Failed)
   153 - heateq_spline_table (Failed)
   154 - RotatingBCPoisson3DSymmSkev (Failed)
   155 - NormalTangentialDisplacement2 (Failed)
   156 - CoupledPoisson1b (Failed)
   157 - ExtrudedMesh (Failed)
   158 - ElasticLubrication (Failed)
   159 - mgdyn_harmonic_loss (Failed)
   160 - fsi_box2 (Failed)
   161 - PoissonPFEM (Failed)
   162 - DNS_WaveSimulation (Failed)
   163 - StrainCalculation03 (Failed)
   164 - RotatingBCPoisson3D (Failed)
   165 - Electrokinetics (Failed)
   167 - mgdyn_torus (Failed)
   168 - CoupledPoisson7 (Failed)
   171 - Step_v2f (Failed)
   173 - structmap2 (Failed)
   174 - marangoni (Failed)
   175 - ParticleFalling (Failed)
   176 - CurvedBndryPFEM2 (Failed)
   177 - piezo (Failed)
   178 - BlockPoisson3 (Failed)
   179 - HeatControl (Failed)
   180 - staged_sim (Failed)
   181 - 2ndtime (Failed)
   182 - IsolineGmsh (Failed)
   183 - HelmholtzBEM (Failed)
   184 - LimitTemperature2 (Failed)
   187 - fluxsolver3 (Failed)
   188 - elstat_infty (Failed)
   189 - pointdir (Failed)
   190 - structmap (Failed)
   191 - stress (Failed)
   192 - savescalars_boundary (Failed)
   194 - elasticity (Failed)
   196 - RotatingBCMagnetoDynamics (Failed)
   197 - CurvedBndryPFEM (Failed)
   198 - CoupledPoisson2 (Failed)
   199 - diffuser_sa (Failed)
   200 - InductionHeating (Failed)
   201 - DisContBoundaryDoubleMortar (Failed)
   202 - BoundaryFluxes2 (Failed)
   203 - mgdyn_steady_piolaversion (Failed)
   204 - DisContBoundary3D (Failed)
   205 - mgdyn_lamstack_lowfreq_transient (Failed)
   206 - StructuredHeightDepth (Failed)
   207 - AdvDiffHandles3 (Failed)
   209 - RigidMeshMapper2 (Failed)
   210 - mgdyn_transient (Failed)
   211 - mgdyn_lamstack_lowfreq_harmonic (Failed)
   212 - CoordinateTrans2 (Failed)
   213 - bentonite (Failed)
   214 - FlowResSlip (Failed)
   215 - DisContBoundaryNodalProj (Failed)
   216 - HelmholtzStructure2 (Failed)
   217 - AnalyticalTest (Failed)
   218 - ContactFrictionNonlin (Failed)
   219 - Step_sa (Failed)
   220 - MortarMixedDimensions (Failed)
   221 - ParticleAdvector3 (Failed)
   224 - tresca (Failed)
   225 - pmultg (Failed)
   226 - ParticleAdvector2 (Failed)
   228 - BlockLinElast2 (Failed)
   229 - buckling (Failed)
   230 - reynolds3b (Failed)
   231 - periodic_rot (Failed)
   232 - BDM2D (Failed)
   233 - CoupledPoisson3 (Failed)
   234 - DisContBoundaryMortarJumpB (Failed)
   235 - mgdyn2D_pm (Failed)
   236 - levelset1 (Failed)
   237 - bodyload (Failed)
   238 - ConstantBCDisplacement (Failed)
   239 - NaturalConvection (Failed)
   240 - HelmholtzStructure3 (Failed)
   241 - AdvDiffHandles (Failed)
   242 - ModelPDE (Failed)
   243 - DisContBoundaryDoubleNames (Failed)
   244 - DirichletNeumann (Failed)
   245 - SensTemperature (Failed)
   246 - vortex2d (Failed)
   247 - coating (Failed)
   248 - StressEigen3D (Failed)
   249 - mhd2 (Failed)
   250 - elstat_source (Failed)
   251 - ThermalBiMetal2 (Failed)
   252 - DisContBoundaryDouble (Failed)
   253 - structmap3 (Failed)
   254 - ArteryOutlet (Failed)
   255 - vortex3d (Failed)
   256 - ParticleAdvector (Failed)
   257 - RotatingBCMagnetoDynamics2 (Failed)
   258 - ElmerGridExtrudeHelicity (Failed)
   259 - mgdyn2D_em_harmonic (Failed)
   260 - Step_sst-kw-wf (Failed)
   261 - ExtrusionStructured2D (Failed)
   262 - CoupledPoisson9 (Failed)
   263 - ThermoElectric (Failed)
   264 - RotatingBCMagnetoDynamicsGeneric (Failed)
   266 - mgdyn_harmonic (Failed)
   267 - CoordinateTrans (Failed)
   268 - LimitTemperature (Failed)
   269 - el_adaptivity (Failed)
   270 - diffuser_v2f (Failed)
   272 - StokesProj (Failed)
   273 - Step_ke (Failed)
   274 - HelmholtzFace (Failed)
   275 - DisContBoundaryMortarCont (Failed)
   276 - ElmerGridExtrudeMaterial2 (Failed)
   277 - InductionHeating2 (Failed)
   278 - reynolds3 (Failed)
   279 - NormalTangentialDisplacement (Failed)
   280 - savescalars (Failed)
   281 - linearsolvers_cmplx (Failed)
   283 - plates (Failed)
   285 - TimeFunc (Failed)
   286 - normals (Failed)
   287 - AdvDiffFCT (Failed)
   288 - ParticleAdvectorPathIntegral (Failed)
   289 - HelmholtzPlaneWaves (Failed)
   290 - PhaseChange2 (Failed)
   291 - OptimizeSimplexFourHeaters (Failed)
   292 - ParticleHeating (Failed)
   293 - mgdyn_anisotropic_cond (Failed)
   294 - BlockPoisson2 (Failed)
   295 - DivergenceAnalytic2D (Failed)
   296 - WeightComputation (Failed)
   297 - CoupledPoisson6 (Failed)
   298 - RaviartThomas3D (Failed)
   299 - 1sttime (Failed)
   300 - platesEigen (Failed)
   301 - WaveEqu (Failed)
   302 - StrainCalculation02 (Failed)
   304 - RichardsDyke2 (Failed)
   305 - heateq_infty (Failed)
Errors while running CTest


Well, this is the complete process I've followed. It's odd I've looked at some forums stating that the errors in the 95% range are not a big deal, but I haven't seen anyone have this problem on the forum.

I've used the elmer version 6.1 before a little bit and made a working vortex shedding example, so I thought to open the ElmerGUI and see if there are other things that may point me to the solution. In the solver log, I got the following:

Code: Select all
ELMER SOLVER (v 7.0) STARTED AT: 2015/04/15 16:32:11
ParCommInit:  Initialize #PEs:            1
MAIN:
MAIN: =============================================================
MAIN: ElmerSolver finite element software, Welcome!
MAIN: This program is free software licensed under (L)GPL
MAIN: Copyright 1st April 1995 - , CSC - IT Center for Science Ltd.
MAIN: Webpage http://www.csc.fi/elmer, Email elmeradm@csc.fi
MAIN: Library version: 7.0 (Rev: 24ae551)
MAIN:  HYPRE library linked in.
MAIN:  MUMPS library linked in.
MAIN: =============================================================
MAIN:
MAIN:
MAIN: -------------------------------------
MAIN: Reading Model: case.sif
Loading user function library: [FlowSolve]...[FlowSolver_Init0]

Program received signal SIGSEGV: Segmentation fault - invalid memory reference.

Backtrace for this error:
#0  0xB72B8163
#1  0xB72B8800
#2  0xB77843FF
#3  0x0


And that is why I'm in need of help, I thought I was following the correct way for installing elmer 7 in ubuntu 14.04 but it turns out that there is something wrong. Despite my best efforts to solve this problem I do not know what to do any longer and that's why I would really appreciate any help on this matter. Sorry for the long post, and thank you for consideration.

Best regards, Elan.

P.s. Thank you for quick reply Peter, I've gone along with this process and it appears that this matter persist.

P.s.s. I think it's also worth mentioning that when I use the installation from launchpad and use the vortex shedding example the same error occurs. Would it mean that there is something that I'm missing?
Elanid
 
Posts: 10
Joined: 13 Apr 2015, 04:40

Re: Cmake based Elmer distributions

Postby polymer » 08 Jun 2016, 13:46

Hello,

I've got a Problem while building elmer with cmake, codeblocks and MinGW.

Now I have made it step by step and at the Moment i'm hanging on BLAS ?!

Cmake said:

Code: Select all
Checking whether GFortran version >= 4.8 -- yes
CMake Error at C:/Program Files/cmake-3.6.0-rc1-win64-x64/share/cmake-3.6/Modules/FindBLAS.cmake:690 (message):
  A required library with BLAS API not found.  Please specify library
  location.
Call Stack (most recent call first):
  CMakeLists.txt:152 (FIND_PACKAGE)




Should I add another variable to PATH?

greetings
Kai
Attachments
cmake_entrys.JPG
CMAKE ENTRY BLAS
cmake_entrys.JPG (72.59 KiB) Viewed 2281 times
polymer
 
Posts: 4
Joined: 29 Apr 2016, 10:01

Previous

Return to Updates

Who is online

Users browsing this forum: No registered users and 1 guest